# moinmoin-scripts

Helper scripts for our [MoinMoin](https://moinmo.in/) deployment.


### install-xapian.sh

The full text search indexing is provided by [Xapian](https://xapian.org/). Since our MoinMoin installation is done in a [virtual environment](https://docs.python.org/3/glossary.html#term-virtual-environment) we can't use the system provided installer package.

For an easy build and update process, the script `install-xapian.sh` can be used, but the virtual environment must be [activated first](https://wiki.cpi.imtek.uni-freiburg.de/CPIvServerDocumentation/MoinMoinWikis#Full_Text_Indexing_with_Xapian).


### rebuild-search-index.py

This scirpt rebuilds the full text search index. This might be needed if a search setting in one of the configuration files was changed. Since MoinMoin rebuilds the search index by each wiki, this scripts helps to automate the process for all wikis in one go.

Good Luck
